# Univerter

A web youtube downloader & converter for youtube videos with no client-sided javascript. It can be found at https://yt.violets-purgatory.dev

Currently supports a wide variety of formats, but only supports youtube. If you have any other sites you want supported, or any other formats, please open an issue.

## Announcement
The developer branch is currently broken, as it is unfinished. Please don't report bugs yet.

# Installation

There are 2 main ways to install Univerter:

## Docker

The docker image can be found at https://hub.docker.com/r/bingusviolet/univerter
Port 8080 (or whatever you set the environment variable to) is exposed inside the container. It can be changed with `-p`
Example:
```bash
docker run -p 8080:8080 bingusviolet/univerter
```
It can now be found on port 8080

## Npm

1. Clone the repository

```bash
git clone https://github.com/Violets-puragtory/YoutubeConverter
cd YoutubeConverter
```

2. Install Dependancies

- [ffmpeg](https://github.com/FFmpeg/FFmpeg)
- [node](https://github.com/nodejs/node)
- [npm](https://github.com/npm/cli)

3. Download NodeJS Dependencies

```bash
npm install
```

## Starting it

```bash
npm start
```

# Environment Variables

`PORT`= [Preffered Port] (8080 if unspecified)

# Instances
Here is a list of all currently public instances. If you want to add your instance to this list, please make an issue or pull request!
- [yt.violets-purgatory.dev](https://yt.violets-purgatory.dev)